Download it now!
Bug 31853 - Test bug for testing needinfo greasemonkey script
Summary: Test bug for testing needinfo greasemonkey script
Status: CLOSED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: LeMoyne Castle
URL:
Whiteboard:
Keywords: easyHack
Depends on:
Blocks:
 
Reported: 2010-11-22 23:46 UTC by Suren
Modified: 2016-02-18 16:37 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
greasemonkey script (1.28 KB, application/javascript)
2010-11-23 01:17 UTC, Suren
Details
greasemonkey script (2.16 KB, application/javascript)
2010-11-24 22:47 UTC, Suren
Details
NeedInfo/EasyHack insert/delete for show_bug + product=>LibreOffice (9.06 KB, application/x-javascript)
2011-06-17 12:12 UTC, LeMoyne Castle
Details
Set/clear for NeedInfo+EasyHack markers on show_bug (9.55 KB, application/x-javascript)
2011-06-17 13:20 UTC, LeMoyne Castle
Details
greasemonkey helper for qa/dev (15.45 KB, application/x-javascript)
2011-06-22 11:02 UTC, LeMoyne Castle
Details
helper script for qa/dev (15.47 KB, application/x-javascript)
2011-06-22 14:15 UTC, LeMoyne Castle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Suren 2010-11-22 23:46:15 UTC
There were no bugs which were reported as NeedInfo in the bug list. Creating a test bug to test that.
Comment 1 Suren 2010-11-23 01:17:00 UTC
Created attachment 40496 [details]
greasemonkey script

This submitted script is not the best approach. The correct approach would have to be to get elements by class name 'bz_NEEDINFO' . Not sure what is the exact class name for needinfo bugs. Can some one set this bug to NEEDINFO so that I can fix the script and re-submit ?

Thanks,
~Suren
Comment 2 Cédric Bosdonnat 2010-11-23 01:24:18 UTC
Sure, set the needinfo on you.
Comment 3 caiot1 2010-11-24 19:23:20 UTC
You should also be sure it works when there is more than one keyword.

Are you sure you should do a equality test, instead of a regex test?

You should make sure that it will work even if the bug has more than one keyword.
Comment 4 Suren 2010-11-24 22:46:32 UTC
Cedric, Thanks :)
Ciao: Have fixed the issue with a different apparoach. Attaching a patch. If some one can verify if the patch works for you, I can close the bug :)

Thanks,
~Suren
Comment 5 Suren 2010-11-24 22:47:06 UTC
Created attachment 40563 [details]
greasemonkey script

version 0.2
Comment 6 Jan Holesovsky 2010-11-25 13:24:52 UTC
Suren: Great stuff, thank you! :-)  I have a feature request, if I can?

It would be great if this script operated on this page (bug edit) too, and provided the following between the 'Additional Comments' text entry, and the Status combo box:

- in case the bug is in the NEEDINFO state, it would provide a checkbox like '[ ] This comment provides the required information', that would clear the NEEDINFO + infoprovider: from the appropriate fields on pressing 'Commit'

- in case it is not NEEDINFO, there would be a checkbox '[ ] Requires information from' followed by a text field for the email address; and if it was checked, it would add NEEDINFO to the Keywords and inforprovider:<the_email@from.the.text.field> to the respective fields on pressing 'Commit'
Comment 7 Suren 2010-11-26 14:06:24 UTC
Hi Kendy,

Got it. Shouldn't be tough. But has to be another Greasemonkey script, not the part of same one as they have different URL patterns. Will try to get that done and attach a patch.

Thanks,
~Suren
Comment 8 LeMoyne Castle 2011-06-17 12:12:43 UTC
Created attachment 48115 [details]
NeedInfo/EasyHack insert/delete for show_bug + product=>LibreOffice

Developed a new BugZilla grease script that operates as load event hendler and:
1) selects Product option LibreOffice on query page
2) adds Set/Clear NeedInfo and EasyHack buttons on show_bug page.  These buttons insert/delete markers in keywords, whiteboard and summary. Handles various current formats of [ EasyHack(s) : ] markers on the summary. 

This version does not highlight NeedInfo bugs in the result page to avoid background download of all NeedInfo bugs on each query result (buglist) page.  

Future Possibilities: 
1) Bring back NeedInfo highlighting as option on query result page.  Add button to add highlighting to current result so background load of NeedInfo bugs only occur on request.  Could be further enhanced to store list on browser and only thereafter download NeedInfo bugs changed since previous load (i.e. in last minutes or hours). 

2) Add buttons to query page to insert/delete select conditions on the query page for NeedInfo (onlyNI/excludeNI/don't care about NI) and other useful selects.  Can see divergence of qa and dev needs re select fields and conditions on query.  Maybe add qa/dev mode switch.

3) Add Edit Last Search button to show_bug page to open query page in new tab. 

4) Integrate Cedric's script --  http://userscripts.org/scripts/show/87923  --  to create relation to commits on branches for qa to know where to test features & fixes as they move toward/into release.  

5) Add Recent lists for bugs and searches stored on browser or in session cookies.  

6) .. other ideas -- Any other scripts out there?

Developed using Opera and may not work well in other browsers. 
Uploaded to http://userscripts.org/scripts/review/104918 for testing as FireFox Greasemonkey script. 

Please let me know what other forms of grease you need, and of any lumps in the lubricant here...
Comment 9 LeMoyne Castle 2011-06-17 12:18:46 UTC
Put in some brackets and a colon for testing EasyHack button.
Comment 10 LeMoyne Castle 2011-06-17 13:20:04 UTC
Created attachment 48118 [details]
Set/clear for NeedInfo+EasyHack markers on show_bug

Fixed leftover bracket issue where summary became EasyHack: ] ].  Before I lose another half-day on ']' just added code to chew them off the front after removing EasyHack(s)...
Comment 11 LeMoyne Castle 2011-06-18 10:36:42 UTC
Add to list of work: 
0) Add an OnSubmit listener that rips back out all the nodes inserted by the script in order to avoid confusing BugZilla on form submission.
Comment 12 LeMoyne Castle 2011-06-22 11:02:16 UTC
Created attachment 48293 [details]
greasemonkey helper for qa/dev

New script version adds submit handler that strips out form elements whose values will be sent on submission.  No evidence that BugZilla has problems with extra info: added for safety.
Comment 13 LeMoyne Castle 2011-06-22 14:15:03 UTC
Created attachment 48306 [details]
helper script for qa/dev

removed alert
Comment 14 Björn Michaelsen 2011-12-23 15:15:01 UTC
remove obsolete tags
Comment 15 Korrawit Pruegsanusak 2011-12-25 01:11:18 UTC
Do we still need this? We have NEEDINFO status now ... or do I missing something?
Comment 16 Stéphane Aulery 2012-08-11 01:27:00 UTC
Deteted "Easyhack" from summary
Comment 17 Julien Nabet 2013-08-22 05:03:38 UTC
Joel/Joren: is this tracker still relevant?
Comment 18 Björn Michaelsen 2013-10-04 18:46:02 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 19 retired 2014-12-09 17:31:35 UTC
setting this to invalid. several pings remained unanswered and it doesn't look like this test bug is still needed. if i'm making wrong assumption, please reopen.
Comment 20 Jan Holesovsky 2014-12-10 08:12:54 UTC
Indeed, not necessary any more, the freedesktop bugzilla got support for NEEDINFO in the meantime.
Comment 21 Robinson Tryon (qubit) 2015-12-18 09:56:19 UTC
Migrating Whiteboard tags to Keywords: (EasyHack)
[NinjaEdit]
Comment 22 Robinson Tryon (qubit) 2016-02-18 16:37:02 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]